
 import "Turbine.UI"; 
 import "Turbine.UI.Extensions"; 
 import "Turbine.UI.Lotro"; 

 import "Homeopatix.BurglarHelper.Globals"
 import "Homeopatix.BurglarHelper.Notification"
 import "Homeopatix.BurglarHelper.MinimizedIcon"
 import "Homeopatix.BurglarHelper.VindarPatch"
 import "Homeopatix.BurglarHelper.Commands"
 import "Homeopatix.BurglarHelper.LoadAndSave"
 import "Homeopatix.BurglarHelper.MainWindow"
 import "Homeopatix.BurglarHelper.FCT"

Turbine.Shell.WriteLine("<rgb=#DAA520>BurglarHelper</rgb> <rgb=#DDDDDD>".. plugin:GetVersion() .." par Homeo</rgb>")


CreateLocalizationInfo();
LoadSettings();

------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
CreateMainWindow();

------------------------------------------------------------------------------------------
-- setting the shortcuts
------------------------------------------------------------------------------------------
SetTheShortCuts();

------------------------------------------------------------------------------------------
-- mouse enter handler
------------------------------------------------------------------------------------------
MouseEnterHandler();

------------------------------------------------------------------------------------------
-- delete the shortcut with mouse wheel
------------------------------------------------------------------------------------------
DeleteShortCuts();

------------------------------------------------------------------------------------------
-- setting the shortcuts for drag and drop
------------------------------------------------------------------------------------------
DragAndDrop();

------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
ClosingWindow();

------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
if(settings.isWindowVisible == "true") then
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, BurglarHelperWindow:SetVisible(true));
else
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, BurglarHelperWindow:SetVisible(false));
end

MainMinimizedIcon:SetPosition(settings.minimizeX, settings.minimizeY);
MainMinimizedIcon:SetZOrder(0);
MainMinimizedIcon.PositionChanged = function()
	settings.minimizeX = MainMinimizedIcon:GetLeft();
	settings.minimizeY = MainMinimizedIcon:GetTop();
	SaveSettings();
end

------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------
BurglarHelperWindow.KeyDown=function(sender, args)
	if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
		if(settings.escEnable == true) then
			BurglarHelperWindow:SetVisible(false);
			settings.isWindowVisible = false;
			BurglarHelperWindow:SetZOrder(-1);
			SaveSettings();
		end
	end
	
	-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
	if ( args.Action == 268435635 ) then
		hudVisible=not hudVisible;
		if hudVisible then
			BurglarHelperWindow:SetVisible(false);
			MainMinimizedIcon:SetVisible(false);
		else
			BurglarHelperWindow:SetVisible(settings.isWindowVisible);
			MainMinimizedIcon:SetVisible(true);
		end
	end
end
------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
	BurglarHelperWindow.PositionChanged = function( sender, args )
    	local x,y = BurglarHelperWindow:GetPosition();
    	settings.positionX = x;
    	settings.positionY = y;
		SaveSettings();
	end